%define approot /opt/linpack/mpich1/gnu
%define _modroot /usr/share/Modules/modulefiles/linpack
%define debug_package %{nil}

Name: linpack-mpich1-gnu 
Version: 1.0a
Release: 3
Vendor: Project Kusu, http://www.osgdc.org
Summary:  High Performance Computing Linpack Benchmark (HPL)
License: Distributable 
Group: Applications/System
URL:  http://www.netlib.org/benchmark/hpl/software.html
Source0: http://www.netlib.org/benchmark/hpl/hpl.tgz
Source1: Make.Kusu.64
Source2: Make.Kusu.32
Source3: %{name}-module
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc mpich1-ethernet-gnu atlas-devel gcc-gfortran
Requires: mpich1-ethernet-gnu atlas atlas-devel
%description
HPL is a software package that solves a (random) dense linear system in 
double precision (64 bits) arithmetic on distributed-memory computers. 
It can thus be regarded as a portable as well as freely available implementation 
of the High Performance Computing Linpack Benchmark.

%prep
%setup -q -n hpl
cp %{SOURCE1} .
cp %{SOURCE2} .

%build
export TOPdir=%{_builddir}/hpl

%ifarch i386
    make arch=Kusu.32
%else
    make arch=Kusu.64
%endif	

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{approot}
mkdir -p $RPM_BUILD_ROOT%{approot}/bin

install -D -m 0644 %{SOURCE3} %{buildroot}%{_modroot}/%{name}

%ifarch i386
    install -m755 bin/Kusu.32/xhpl $RPM_BUILD_ROOT%{approot}/bin
    install -m644 bin/Kusu.32/HPL.dat $RPM_BUILD_ROOT%{approot}/bin
%else
    install -m755 bin/Kusu.64/xhpl $RPM_BUILD_ROOT%{approot}/bin
    install -m644 bin/Kusu.64/HPL.dat $RPM_BUILD_ROOT%{approot}/bin
%endif	

%post

%postun 

%files
%defattr(-, root, root)
%{approot}
%{_modroot}/%{name}

%changelog
* Wed Jul 2 2008 Mike Frisch <mfrisch@platform.com> 1.0a-3
- Use Fortran 90 compiler instead of obsolete f77 compiler

* Tue Sep 12 2007 Tsai Li Ming <ltsai@osgdc.org> 1.6.6-1
- Initial package.
